#!/bin/bash

# Enter source directory
cd $( dirname $0 )

# Check gitdch is installed
GITDCH=$(which gitdch)
set -e
if [ -z "$GITDCH" ]
then
	TMP=$(mktemp -d)
	echo "Temporary install gitdch in $TMP"
	git clone https://gogs.zionetrix.net/bn8/gitdch.git $TMP/gitdch
	GITDCH=$TMP/gitdch/gitdch
else
	TMP=""
fi


# Generate debian changelog using generate_debian_changelog.py
$GITDCH	--package-name authentic2-supann \
	--output debian/changelog \
	--path ./ \
	--verbose

# Clean temporary gitdch installation
[ -n "$TMP" ] && rm -fr $TMP

# Build debian package
dpkg-buildpackage
